#--------------------------------------------------------------------
#  $Workfile: $
#
#  Copyright (c) 2005 National Semiconductor Corporation.
#  All Rights Reserved.
#
#
# 	This make include is copied from the common.mk file used to
# 	create network drivers in QNX6.1 and modified to better fit
# 	National Semiconductor's multi-platform MPL build environment.
# 	If changes are made to QNX's build structure, you may have
# 	to either move National's source code to better fit QNX's 
# 	view of the world, or modify common.mk to better fit
# 	National's view. The easy way to find the changes in this
# 	file is to search for the string "NSM/QNX6/" within this file.
# 	To revert back to the original common.mk file, just remove the
# 	substring "NSM/QNX6/".
#
# 	$Header: $
# 	$History: $
# 	$Revision: $
#--------------------------------------------------------------------

ifndef QCONFIG
QCONFIG=qconfig.mk
endif
include $(QCONFIG)

USEFILE=$(PROJECT_ROOT)/$(SECTION)/NSM/QNX6/devn-$(SECTION).use
EXTRA_SRCVPATH = $(EXTRA_SRCVPATH_$(SECTION))

EXTRA_INCVPATH = $(PROJECT_ROOT)/public $(PROJECT_ROOT)/public/drvr $(USE_ROOT_nto)/usr/include/drvr
EXTRA_LIBVPATH+=$(PROJECT_ROOT)/../devu/usbdi/$(subst x86/so.,x86/so,$(CPU)/so.$(filter le be,$(subst ., ,$(VARIANTS))))

PRE_SRCVPATH = $(foreach var,$(filter a, $(VARIANTS)),$(CPU_ROOT)/$(subst $(space),.,$(patsubst a,dll,$(filter-out g, $(VARIANTS)))))

EXTRA_SILENT_VARIANTS = $(subst -, ,$(SECTION))
NAME=$(PROJECT)-$(SECTION)

define PINFO
PINFO NAME=
endef


include $(MKFILES_ROOT)/qmacros.mk

ifeq ($(filter dll, $(VARIANTS)),)
DEBUG = -g
INSTALLDIR = /lib/dll
CCFLAGS += -Dio_net_dll_entry=io_net_dll_entry_$(SECTION)
USEFILE=
else
LIBS = drvrS
endif

# For debug.
#echoflags:
#	@echo ----------------------------------------------------------
#	@echo root is $(PROJECT_ROOT)
#	@echo section is $(SECTION)
#	@echo name is $(NAME)
#	@echo mkfiles_root is $(MKFILES_ROOT)
#	@echo ----------------------------------------------------------

include $(PROJECT_ROOT)/$(SECTION)/NSM/QNX6/pinfo.mk
include $(MKFILES_ROOT)/qtargets.mk
